<?php

namespace App\Controllers\Admin\Part;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

use App\Services\Part\SOFTWAREService;

class SOFTWAREController extends PartController
{
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->content_title = lang("{$this->getService()->getClassName()}.title");
        $this->class_path .= $this->getService()->getClassName();
        $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
        // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

    }
    public function getService(): SOFTWAREService
    {
        if (!$this->_service) {
            $this->_service = new SOFTWAREService();
        }
        return $this->_service;
    }
    //Index,FieldForm관
}
